GET api/LectureAttach/GetList?lectureId={lectureId}&currPage={currPage}&recordPerPage={recordPerPage}

Documentation for 'GetList'.

Request Information

Parameters

NameDescriptionAdditional information
lectureId
Documentation for 'lectureId'.

Define this parameter in the request URI.

currPage
Documentation for 'currPage'.

Define this parameter in the request URI.

recordPerPage
Documentation for 'recordPerPage'.

Define this parameter in the request URI.

Response Information

Response body formats

application/json, text/json

Sample:
{
  "Items": [
    {
      "LectureAttachId": 1,
      "AttachFileId": 2,
      "LectureId": 3
    },
    {
      "LectureAttachId": 1,
      "AttachFileId": 2,
      "LectureId": 3
    },
    {
      "LectureAttachId": 1,
      "AttachFileId": 2,
      "LectureId": 3
    }
  ],
  "CurrentPage": 1,
  "PageSize": 2,
  "TotalRecord": 3,
  "ResponseStatus": "sample string 4",
  "ResponseMessage": "sample string 5",
  "LinkDownload": "sample string 6"
}

text/xml

Sample:
<ApiResponseOfArrayOfLectureAttach75_S1MEh_S xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Utility">
  <CurrentPage>1</CurrentPage>
  <Items xmlns:d2p1="http://schemas.datacontract.org/2004/07/Lib.DTO">
    <d2p1:LectureAttach>
      <d2p1:AttachFileId>2</d2p1:AttachFileId>
      <d2p1:LectureAttachId>1</d2p1:LectureAttachId>
      <d2p1:LectureId>3</d2p1:LectureId>
    </d2p1:LectureAttach>
    <d2p1:LectureAttach>
      <d2p1:AttachFileId>2</d2p1:AttachFileId>
      <d2p1:LectureAttachId>1</d2p1:LectureAttachId>
      <d2p1:LectureId>3</d2p1:LectureId>
    </d2p1:LectureAttach>
    <d2p1:LectureAttach>
      <d2p1:AttachFileId>2</d2p1:AttachFileId>
      <d2p1:LectureAttachId>1</d2p1:LectureAttachId>
      <d2p1:LectureId>3</d2p1:LectureId>
    </d2p1:LectureAttach>
  </Items>
  <LinkDownload>sample string 6</LinkDownload>
  <PageSize>2</PageSize>
  <ResponseMessage>sample string 5</ResponseMessage>
  <ResponseStatus>sample string 4</ResponseStatus>
  <TotalRecord>3</TotalRecord>
</ApiResponseOfArrayOfLectureAttach75_S1MEh_S>